Library Version 18.1.40

DB_ENV->get_mp_max_openfd()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_mp_max_openfd()

    #include <db.h>

    int
    DB_ENV->get_mp_max_openfd(DB_ENV *env, int *maxopenfdp);

Returns the maximum number of file descriptors the library will open concurrently when flushing dirty pages from the cache. This value is set by the DB_ENV->set_mp_max_openfd() method.

The `DB_ENV->get_mp_max_openfd()` method may be called at any time during the life of the application.

The `DB_ENV->get_mp_max_openfd()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### maxopenfdp

The `DB_ENV->get_mp_max_openfd()` method returns the maximum number of file descriptors open in maxopenfdp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_mp_max_openfd()

Prev | Up | Next
DB_ENV->get_cachesize() | Home | DB_ENV->get_mp_max_write()